Mailinglist Archive: opensuse-factory (824 mails)

< Previous Next >
Re: [opensuse-factory] Tumbleweed - Review of the weeks 2017/42 & 43
On Fri, 27 Oct 2017 14:56:49 +0200, Santiago Zarate
<santiago.zarate@xxxxxxxx> wrote:

* PostgreSQL 10
\o/ Good to know that this is comming!

If this is something you were waiting for, you could have added

http://download.opensuse.org/repositories/server:/database:/postgresql/openSUSE_Tumbleweed/

I'm running pg-10 for quite a while now, and I have not hit anything
that bothered me. Make sure you initialization is not borked. The files
or packages installed to init the database have changed.

When your current is 9.4, you might have something like

postgresql-9.4-4.1.noarch
postgresql-contrib-9.4-4.1.noarch
postgresql-devel-9.4-4.1.noarch
postgresql-docs-9.4-4.1.noarch
postgresql-init-9.4-57.1.noarch
postgresql-ip4r-1.05-10.3.x86_64
postgresql-jdbc-9.4-24.61.noarch
postgresql-server-9.4-4.1.noarch
postgresql94-9.4.6-8.5.x86_64
postgresql94-contrib-9.4.6-8.5.x86_64
postgresql94-devel-9.4.6-8.3.x86_64
postgresql94-docs-9.4.6-8.5.noarch
postgresql94-orafce-3.0.9-13.6.x86_64
postgresql94-pgpool-II-3.5.0-7.2.x86_64
postgresql94-plperl-9.4.6-8.1.x86_64
postgresql94-repmgr-2.0.2-9.12.x86_64
postgresql94-server-9.4.6-8.5.x86_64

That might change to something like

postgresql-10-9.10.noarch
postgresql-contrib-10-9.10.noarch
postgresql-docs-10-9.10.noarch
postgresql-jdbc-9.4-28.5.noarch
postgresql-plperl-10-9.10.noarch
postgresql-pltcl-10-9.10.noarch
postgresql-server-10-9.10.noarch
postgresql10-10.0-1.6.x86_64
postgresql10-contrib-10.0-1.6.x86_64
postgresql10-devel-10.0-1.4.x86_64
postgresql10-docs-10.0-1.6.noarch
postgresql10-ip4r-2.0.2-21.8.x86_64
postgresql10-orafce-3.4.0-8.5.x86_64
postgresql10-pgespresso-1.2-1.6.x86_64
postgresql10-pgpool-II-3.6.5-11.5.x86_64
postgresql10-plperl-10.0-1.6.x86_64
postgresql10-plr-8.3.0.17-34.4.x86_64
postgresql10-plr-doc-8.3.0.17-34.4.x86_64
postgresql10-pltcl-10.0-1.6.x86_64
postgresql10-repmgr-3.3.2-2.12.x86_64
postgresql10-server-10.0-1.6.x86_64

Note the missing postgresql-init

Sorry I cannot show you a 9.6 installation, as all my 9.6 installations
are running 10 now

--
H.Merijn Brand http://tux.nl Perl Monger http://amsterdam.pm.org/
using perl5.00307 .. 5.27 porting perl5 on HP-UX, AIX, and openSUSE
http://mirrors.develooper.com/hpux/ http://www.test-smoke.org/
http://qa.perl.org http://www.goldmark.org/jeff/stupid-disclaimers/
< Previous Next >